<?php
namespace Teknisa\FIN\Modules\ContaPagar\Factory;

use Teknisa\Model\Fiscal\Entities\Configurasmtp;
use Teknisa\Model\Geral\Entities\Operador;
use Doctrine\ORM\EntityManager;

class AutenticacaoDDAFactory {

    public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }

    public function getConfigurasmtp(){
        $parans = array();
        $configurasmtp = $this->entityManager->getRepository(Configurasmtp::class)->findOneBy($parans);
        return $configurasmtp;
    }

    public function getOperador($idoperativo){
        $parans = array();
        $parans['idoperativo'] = $idoperativo;

        $operador = $this->entityManager->getRepository(Operador::class)->findOneBy($parans);
        return $operador;
    }
}

?>